using Hawkeye.VisionBuilder.Workflow.Datatypes;

namespace Hawkeye.VisionBuilder.Workflow.Operations;

public class ActivateImageOperation:BaseOperation
{
    public ScriptValue ImageSource { get; set; } = new ScriptValue();

    protected override void InterpretInternal(Context context)
    {
        context.ActiveImage = GetScriptValue<HawkeyeImage>(ImageSource);
    }
}